ALTER TABLE cargainconsistencia ADD	carinc_ativo BOOLEAN DEFAULT true;

ALTER TABLE gatilhoproduto ADD gatxpro_cprgatid bigint;

ALTER TABLE gatilhocliente ADD gatxcli_cprgatid bigint;

ALTER TABLE gatilhoaplicacao ADD gatxapl_cprgatid bigint;

ALTER TABLE gatilhoproduto ADD CONSTRAINT fk_gatilhoproduto_gatilhocampanha FOREIGN KEY (gatxpro_cprgatid) REFERENCES campanhapromocaogatilho(cprxgat_id);

ALTER TABLE gatilhocliente ADD CONSTRAINT fk_gatilhocliente_gatilhocampanha FOREIGN KEY (gatxcli_cprgatid) REFERENCES campanhapromocaogatilho(cprxgat_id);

ALTER TABLE gatilhoaplicacao ADD CONSTRAINT fk_gatilhoaplicacao_gatilhocampanha FOREIGN KEY (gatxapl_cprgatid) REFERENCES campanhapromocaogatilho(cprxgat_id);

ALTER TABLE cupomdesconto DROP COLUMN cupdes_cupati;

ALTER TABLE cupomdesconto ADD cupdes_ativo BOOLEAN NOT NULL DEFAULT true;

ALTER TABLE campanhapromocao DROP COLUMN cpr_filialaplicacao;

ALTER TABLE campanhapromocao ADD cpr_filialaplicacaoid bigint;

ALTER TABLE campanhapromocao ADD CONSTRAINT fk_campanhapromocao_filialaplicacao FOREIGN KEY (cpr_filialaplicacaoid) REFERENCES filial(fil_id); 

CREATE INDEX lc_cpr_descricao ON campanhapromocao (cpr_descricao);

CREATE INDEX lc_cpr_ativo ON campanhapromocao (cpr_ativo);

CREATE INDEX lc_cpr_tipoaplicacao ON campanhapromocao (cpr_tipoaplicacao);

CREATE INDEX lc_cpr_canalaplicacao ON campanhapromocao (cpr_canalaplicacao);

CREATE INDEX lc_cpr_valorminimo ON campanhapromocao (cpr_valorminimo);

CREATE INDEX lc_cpr_datainicio_cpr_datafim ON campanhapromocao (cpr_datainicio, cpr_datafim);

CREATE INDEX lc_cupdes_numerocupom ON cupomdesconto (cupdes_numerocupom);

CREATE INDEX lc_cupdes_descricao ON cupomdesconto (cupdes_descricao);

CREATE INDEX lc_cupdes_ativo ON cupomdesconto (cupdes_ativo);

CREATE INDEX lc_cupdes_datainicio_cupdes_datafim ON cupomdesconto (cupdes_datainicio, cupdes_datafim);

CREATE INDEX lc_cpr_tabpreid ON campanhapromocao (cpr_tabpreid);

CREATE INDEX lc_cprxgat_cprid ON campanhapromocaogatilho (cprxgat_cprid);

CREATE INDEX lc_gatxpro_depid ON gatilhoproduto (gatxpro_depid);

CREATE INDEX lc_gatxpro_cl1id ON gatilhoproduto (gatxpro_cl1id);

CREATE INDEX lc_gatxpro_cl2id ON gatilhoproduto (gatxpro_cl2id);

CREATE INDEX lc_gatxpro_cl3id ON gatilhoproduto (gatxpro_cl3id);

CREATE INDEX lc_gatxpro_cl4id ON gatilhoproduto (gatxpro_cl4id);

CREATE INDEX lc_gatxcli_parid ON gatilhocliente (gatxcli_parid);

CREATE INDEX lc_gatxcli_ct1id ON gatilhocliente (gatxcli_ct1id);

CREATE INDEX lc_gatxcli_ct2id ON gatilhocliente (gatxcli_ct2id);

CREATE INDEX lc_gatxcli_ct3id ON gatilhocliente (gatxcli_ct3id);

CREATE INDEX lc_gatxapl_depid ON gatilhoaplicacao (gatxapl_depid);

CREATE INDEX lc_gatxapl_cl1id ON gatilhoaplicacao (gatxapl_cl1id);

CREATE INDEX lc_gatxapl_cl2id ON gatilhoaplicacao (gatxapl_cl2id);

CREATE INDEX lc_gatxapl_cl3id ON gatilhoaplicacao (gatxapl_cl3id);

CREATE INDEX lc_gatxapl_cl4id ON gatilhoaplicacao (gatxapl_cl4id);

CREATE INDEX lc_cupdes_cprid ON cupomdesconto (cupdes_cprid);

CREATE INDEX lc_cupxuso_parid ON cupomdescontouso (cupxuso_parid);

select 'OK' from ambiente;

MD5:D26EE02ABF5CF864E63B1FE0603F0F17