CREATE SEQUENCE DocIteCam_id MINVALUE 100 INCREMENT 1; 

CREATE TABLE DocumentoItemCampanha (
  DocIteCam_id                         BIGINT     NOT NULL     DEFAULT Nextval('DocIteCam_id'),
  DocIte_Id                            SMALLINT     NOT NULL,
  cpr_id                               BIGINT     NOT NULL,
  DocIteCam_SolicitaPermissaoDeDescont BOOLEAN     NOT NULL,
  DocIteCam_QuantidadeAtendida         NUMERIC(13,4)     NOT NULL,
  DocIteCam_ValorTotalDesconto         NUMERIC(5,2)     NOT NULL,
  Doc_Id                               BIGINT     NOT NULL,
      PRIMARY KEY ( DocIteCam_id ));

CREATE INDEX IDOCUMENTOITEMCAMPANHA1 ON DocumentoItemCampanha (
      cpr_id); 

CREATE INDEX IDOCUMENTOITEMCAMPANHA2 ON DocumentoItemCampanha (
      Doc_Id,
      DocIte_Id); 

ALTER TABLE DocumentoItemCampanha
 ADD CONSTRAINT IDOCUMENTOITEMCAMPANHA1 FOREIGN KEY ( cpr_id ) REFERENCES campanhapromocao(cpr_id); 

ALTER TABLE DocumentoItemCampanha
 ADD CONSTRAINT IDOCUMENTOITEMCAMPANHA2 FOREIGN KEY ( Doc_Id,DocIte_Id ) REFERENCES DocumentoItem(Doc_Id,DocIte_Id);

select 'OK' from ambiente;

MD5:3EB983274EA74169232E259BFB1D2B52