ALTER TABLE campanhapromocaogatilho DROP COLUMN cprxgat_tipoobrigatoriedade;

ALTER TABLE campanhapromocaogatilho ADD cprxgat_tipoobrigatoriedade VARCHAR(1) NOT NULL DEFAULT 'U';

ALTER TABLE campanhapromocaogatilho ADD cprxgat_ativo BOOLEAN NOT NULL DEFAULT true;

ALTER TABLE campanhapromocaogatilho ALTER COLUMN cprxgat_ativo DROP DEFAULT;

ALTER TABLE gatilhocliente ADD gatxcli_ativo BOOLEAN NOT NULL DEFAULT true;

ALTER TABLE gatilhocliente ALTER COLUMN gatxcli_ativo DROP DEFAULT;

ALTER TABLE gatilhoproduto ADD gatxpro_ativo BOOLEAN NOT NULL DEFAULT true;

ALTER TABLE gatilhoproduto ALTER COLUMN gatxpro_ativo DROP DEFAULT;

ALTER TABLE gatilhoaplicacao ADD gatxapl_ativo BOOLEAN NOT NULL DEFAULT true;

ALTER TABLE gatilhoaplicacao ALTER COLUMN gatxapl_ativo DROP DEFAULT;

ALTER TABLE gatilhoproduto DROP CONSTRAINT fk_campanhapromocaogatilho_departamento;

ALTER TABLE gatilhoproduto DROP CONSTRAINT fk_campanhapromocaogatilho_classe1;

ALTER TABLE gatilhoproduto DROP CONSTRAINT fk_campanhapromocaogatilho_classe2;

ALTER TABLE gatilhoproduto DROP CONSTRAINT fk_campanhapromocaogatilho_classe3;

ALTER TABLE gatilhoproduto DROP CONSTRAINT fk_campanhapromocaogatilho_classe4;

ALTER TABLE gatilhoproduto ADD CONSTRAINT fk_gatilhoproduto_departamento FOREIGN KEY (gatxpro_depid) REFERENCES departamento(dep_id);

ALTER TABLE gatilhoproduto ADD CONSTRAINT fk_gatilhoproduto_classe1 FOREIGN KEY (gatxpro_cl1id) REFERENCES classe1(cl1_id);

ALTER TABLE gatilhoproduto ADD CONSTRAINT fk_gatilhoproduto_classe2 FOREIGN KEY (gatxpro_cl2id) REFERENCES classe2(cl2_id);

ALTER TABLE gatilhoproduto ADD CONSTRAINT fk_gatilhoproduto_classe3 FOREIGN KEY (gatxpro_cl3id) REFERENCES classe3(cl3_id);

ALTER TABLE gatilhoproduto ADD CONSTRAINT fk_gatilhoproduto_classe4 FOREIGN KEY (gatxpro_cl4id) REFERENCES classe4(cl4_id);

CREATE INDEX i_lc_cprxgat_cprfutchave ON campanhapromocaogatilho (cprxgat_cprfutchave);

DROP INDEX lc_cpr_tabpreid;

DROP INDEX lc_cprxgat_cprid;

DROP INDEX lc_gatxpro_depid;

DROP INDEX lc_gatxpro_cl1id;

DROP INDEX lc_gatxpro_cl2id;

DROP INDEX lc_gatxpro_cl3id;

DROP INDEX lc_gatxpro_cl4id;

DROP INDEX lc_gatxcli_parid;

DROP INDEX lc_gatxcli_ct1id;

DROP INDEX lc_gatxcli_ct2id;

DROP INDEX lc_gatxcli_ct3id;

DROP INDEX lc_gatxapl_depid;

DROP INDEX lc_gatxapl_cl1id;

DROP INDEX lc_gatxapl_cl2id;

DROP INDEX lc_gatxapl_cl3id;

DROP INDEX lc_gatxapl_cl4id;

DROP INDEX lc_cupdes_cprid;

DROP INDEX lc_cupxuso_parid;

CREATE INDEX i_fk_cpr_tabpre ON campanhapromocao (cpr_tabpreid);

CREATE INDEX i_fk_cprxgat_cpr ON campanhapromocaogatilho (cprxgat_cprid);

CREATE INDEX i_fk_gatxpro_dep ON gatilhoproduto (gatxpro_depid);

CREATE INDEX i_fk_gatxpro_cl1 ON gatilhoproduto (gatxpro_cl1id);

CREATE INDEX i_fk_gatxpro_cl2 ON gatilhoproduto (gatxpro_cl2id);

CREATE INDEX i_fk_gatxpro_cl3 ON gatilhoproduto (gatxpro_cl3id);

CREATE INDEX i_fk_gatxpro_cl4 ON gatilhoproduto (gatxpro_cl4id);

CREATE INDEX i_fk_gatxcli_par ON gatilhocliente (gatxcli_parid);

CREATE INDEX i_fk_gatxcli_ct1 ON gatilhocliente (gatxcli_ct1id);

CREATE INDEX i_fk_gatxcli_ct2 ON gatilhocliente (gatxcli_ct2id);

CREATE INDEX i_fk_gatxcli_ct3 ON gatilhocliente (gatxcli_ct3id);

CREATE INDEX i_fk_gatxapl_dep ON gatilhoaplicacao (gatxapl_depid);

CREATE INDEX i_fk_gatxapl_cl1 ON gatilhoaplicacao (gatxapl_cl1id);

CREATE INDEX i_fk_gatxapl_cl2 ON gatilhoaplicacao (gatxapl_cl2id);

CREATE INDEX i_fk_gatxapl_cl3 ON gatilhoaplicacao (gatxapl_cl3id);

CREATE INDEX i_fk_gatxapl_cl4 ON gatilhoaplicacao (gatxapl_cl4id);

CREATE INDEX i_fk_cupdes_cpr ON cupomdesconto (cupdes_cprid);

CREATE INDEX i_fk_cupxuso_par ON cupomdescontouso (cupxuso_parid);

CREATE INDEX i_lc_cprxgat_ativo ON campanhapromocaogatilho (cprxgat_ativo);

CREATE INDEX i_lc_gatxcli_ativo ON gatilhocliente (gatxcli_ativo);

CREATE INDEX i_lc_gatxpro_ativo ON gatilhoproduto (gatxpro_ativo);

CREATE INDEX i_lc_gatxapl_ativo ON gatilhoaplicacao (gatxapl_ativo);
 
select 'OK' from ambiente;

MD5:E7AFA6DABE3FCAB3C502B5641AB4B71C