CREATE SEQUENCE carerr_id MINVALUE 1 INCREMENT 1;
  
CREATE TABLE cargaerro 
	(carerr_id smallint NOT NULL  DEFAULT nextval('carerr_id'), 
	 carerr_tabela bigint,
	 carerr_erro text, 
	 carerr_data timestamp without time zone,
	 PRIMARY KEY(carerr_id)
	);

CREATE INDEX fk_carerr_tabela ON cargaerro (carerr_tabela);

CREATE SEQUENCE carinc_id MINVALUE 1 INCREMENT 1;
  
CREATE TABLE cargainconsistencia 
	(carinc_id smallint NOT NULL  DEFAULT nextval('carinc_id'), 
	 carinc_tabela bigint,
     carinc_campochave VARCHAR(30),
     carinc_valorchave VARCHAR(30),
     carinc_json text,
     carinc_tipo VARCHAR(1) DEFAULT 'R',
     carinc_erro text,
	 carinc_data timestamp without time zone,
	 PRIMARY KEY(carinc_id)
	);

CREATE INDEX fk_carinc_tabela ON cargainconsistencia (carinc_tabela);

CREATE SEQUENCE carsta_id MINVALUE 1 INCREMENT 1;
  
CREATE TABLE cargastatus 
	(carsta_id smallint NOT NULL  DEFAULT nextval('carsta_id'), 
     carsta_tabela bigint,
     carsta_qtderegistrosimportar bigint,
     carsta_qtderegistrosimportados bigint,
     carsta_qtdeinconsistencias bigint,
     carsta_horainicioconsulta timestamp without time zone,
     carsta_horafimconsulta timestamp without time zone,
     carsta_horainicioimportacao timestamp without time zone,
     carsta_horafimimportacao timestamp without time zone,
	 PRIMARY KEY(carsta_id)
	);

CREATE INDEX fk_cargastatus ON cargastatus (carsta_tabela);

ALTER TABLE adicionalproduto ALTER COLUMN adcpro_codigonaseguradora TYPE varchar(25);

ALTER TABLE participante ALTER COLUMN par_documento TYPE varchar(15);

ALTER TABLE participante ALTER COLUMN par_email TYPE varchar(254);

ALTER TABLE adicional DROP CONSTRAINT fk_adcional_correspondente;

ALTER TABLE endereco ALTER COLUMN end_documento TYPE varchar(15);

select 'OK' from ambiente;
 
MD5:8698608B3A84E7B30316C2FD3567BC41